# cpl_discord.configuration package

## Submodules

## cpl_discord.configuration.discord_bot_settings module

class cpl_discord.configuration.discord_bot_settings.DiscordBotSettings

  Bases: `ConfigurationModelABC`

  from_dict(settings: dict)

    Converts attributes to dict

    Parameter:

      settings: `dict`

  property prefix: str
  property token: str

## Module contents

### cpl-discord CPL Discord

Link between discord.py and CPL

copyright

  3. 2022 - 2023 sh-edraft.de

license

  MIT, see LICENSE for more details.

class cpl_discord.configuration.VersionInfo(major, minor, micro)

  Bases: `tuple`

  major

    Alias for field number 0

  micro

    Alias for field number 2

  minor

    Alias for field number 1